/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */
#top-bar #top-bar-inner {
	display: flex;
	justify-content: space-between;
}

#top-bar #top-bar-inner #top-bar-content,
#top-bar #top-bar-inner #top-bar-content #topbar-template {
	width: 100%;
}

#top-bar #top-bar-inner #top-bar-social-alt {
	width: 20%;
}

#top-bar #top-bar-inner #top-bar-content {
	display: flex;
	align-items: center;
}

#top-bar #top-bar-inner #top-bar-content p {
	margin-bottom: 0;
}

#site-header {
	background-color: transparent;
}

.home #site-header #site-logo img {
	content: url('/wp-content/uploads/logo-zwart.svg');
}

#site-header:hover {
	background-color: #fff;
}

#site-header ul li a:focus {
	outline: none !important;
	border: none !important;
}

#site-header #site-logo img {
	content: url('/wp-content/uploads/logo.svg');
}

#site-header:hover #site-logo img {
	content: url('/wp-content/uploads/logo.svg');
}

#site-logo #site-logo-inner a:hover img {
	opacity: 1;
}

#site-header,
#site-header #site-logo img {
	transition: .23s;
}

#site-header #site-navigation-wrap nav ul li.custom-btn span {
	background-color: #1A1818;
	color: #fff;
	padding: 10px 15px;
	transition: .23s;
}

#site-header #site-navigation-wrap nav ul li.custom-btn a:hover span {
	background-color: #CA001B;
}

#site-header #site-navigation .current-menu-item a {
	font-weight: 700;
}

#site-header.element-is-sticky {
	background-color: #fff !important;
	z-index: 999 !important;
}

#site-header.element-is-sticky #site-logo img {
	content: url('/wp-content/uploads/logo.svg') !important;
}

#site-navigation-wrap nav ul li a:hover {
	font-weight: 700;
}

#site-header #site-navigation-wrap nav ul li.custom-btn ul.sub-menu {
	min-width: 250px;
	padding: 10px;
}

#site-header #site-navigation-wrap nav ul li.custom-btn ul.sub-menu li span {
	background-color: #fff;
	color: #000;
	font-weight: normal;
	text-transform: none;
}

#site-header #site-navigation-wrap nav ul li.custom-btn ul.sub-menu li a:hover {
	background-color: #fff;
}

#site-header #site-navigation-wrap nav ul li.custom-btn ul.sub-menu li a:hover span {
	font-weight: 700;
}

#menu-mobiel-menu li.last {
	border-bottom: 1px solid #000;
	padding-bottom: 25px;
}

#menu-mobiel-menu li.contact {
	padding-top: 25px;
}

/*HOME*/
.home #main #primary {
	margin-top: -20vh;
}

#main .block__realisaties-highlighted {
	max-width: 50vw;
}

/*GENERAL*/
#main .block__jobs--overview .eael-post-grid .eael-post-elements-readmore-btn {
	display: inline-block;
	text-transform: uppercase;
	font-weight: 500;
}

#main .block__jobs--overview .eael-post-grid .eael-grid-post .eael-entry-wrapper,
#main .block__jobs--overview .eael-post-grid .eael-grid-post .eael-entry-wrapper .eael-entry-footer,
#main .block__jobs--overview .eael-post-grid .eael-entry-footer .eael-entry-meta {
	padding: 0;
}

#main .block__jobs--overview .eael-post-grid .eael-grid-post:last-of-type .eael-grid-post-holder {
	border: none;
}

#main .block__realisaties--overview .eael-post-grid article:nth-of-type(3) .eael-grid-post-holder {
	height: 90vh;
}

#main .block__realisaties--overview .eael-post-grid article .eael-grid-post-holder .eael-entry-media {
	height: 100%;
}

#main .block__realisaties--overview .eael-post-grid .eael-grid-post-holder-inner {
	position: relative;
}

#main .block__realisaties--overview .eael-post-grid .eael-entry-wrapper {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	transition: opacity .23s;
	background-color: rgba(0,0,0,.75);
	display: flex;
    	align-items: center;
    	flex-wrap: wrap;
    	justify-content: center;
    	padding: 3em;
}

#main .block__realisaties--overview .eael-post-grid article:hover .eael-entry-wrapper {
	opacity: 1;
}

#main .block__realisaties--overview .eael-post-grid article .eael-entry-header,
#main .block__realisaties--overview .eael-post-grid article .eael-entry-content {
	display: flex;
    	justify-content: center;
}

#main .block__realisaties--overview .eael-post-grid article .eael-entry-header {
	align-self: flex-end;
}

#main .block__realisaties--overview .eael-post-grid article .eael-entry-content {
	align-self: flex-start;
}

#main .block__realisaties--overview .eael-post-grid-container .eael-post-grid .eael-grid-post {
	padding: 18px;
}

#main .elementor-image-carousel-wrapper img {
	object-fit: cover;
	height: 150px;
	width: 100%;
}

/*BLOG*/
.post-template-default #main .thumbnail,
.post-template-default #main .entry-header,
.post-template-default #main .meta,
.post-template-default #main #related-posts {
	display: none;
}

.eael-post-grid-container article .eael-grid-post-holder .eael-entry-wrapper {
	padding-left: 0;
	padding-right: 0;
}

.eael-post-grid-container article .eael-grid-post-holder .eael-post-elements-readmore-btn {
	display: inline-block;
}

/*FORMS*/
#main .block__form input,
#main .block__form textarea {
	box-shadow: 0px 0px 15px rgba(0,0,0,.16);
	padding: 1.8em;
}

#main .vertical_radio input {
	padding: 0;
	box-shadow: none;
	border: 1px solid #707070;
}

#main .block__form a {
	font-size: 13px;
}

#main .block__form .row__button a {
	font-size: 16px;
}

#main .frm_button_submit {
	letter-spacing: 0;
}

#main .block__form .frm_button_submit {
	padding: 8px 20px;
}

#footer .block__nieuwsbrief label {
	color: #fff;
}

#footer .block__nieuwsbrief label input {
	word-break: break-word;
}

#main .block__form input::placeholder,
#main .block__form textarea::placeholder,
#footer .block__nieuwsbrief input::placeholder, 
#footer .block__nieuwsbrief textarea::placeholder {
	color: #1a1818;
}

#footer .block__nieuwsbrief .frm_fields_container {
	grid-gap: 0 5%;
}

#footer .block__nieuwsbrief input {
	text-align: center;
}

#footer .block__nieuwsbrief a {
	color: #fff;
	font-size: 13px;
}

#footer .block__nieuwsbrief .frm_button_submit {
	background-color: #fff;
	color: #ca001b;
	border: 2px solid #fff;
	font-weight: 700;
	text-transform: none;
	letter-spacing: 0;
	padding: 8px 40px;
	height: 40px;
}

#footer .block__nieuwsbrief .frm_button_submit:hover {
	background-color: #ca001b;
	color: #fff;
}

#footer .block__nieuwsbrief .vertical_radio {
	grid-column: span 12 / span 12;
    	grid-row: 3;
}

.frm_style_formidable-style.with_frm_style.frm_inline_top .frm_submit::before, 
.frm_style_formidable-style.with_frm_style .frm_submit.frm_inline_submit::before {
	display: none;
}

.frm_style_formidable-style.with_frm_style .frm_upload_icon,
.frm_style_formidable-style.with_frm_style .frm_small_text,
.frm_style_formidable-style.with_frm_style .frm_dropzone .dz-preview .dz-image {
	display: none;
}

.frm_style_formidable-style.with_frm_style .frm_upload_text button {
	font-size: 16px !important;
	color: #fff !important;
}

.frm_style_formidable-style .frm_dropzone.dz-clickable .dz-message {
	border: 1px solid #fff;
}

.frm_style_formidable-style .frm_dropzone.dz-clickable .dz-message, 
.frm_style_formidable-style.with_frm_style .frm_dropzone {
	background: transparent;
	background-color: transparent;
	border-radius: 0;
	margin: 0;
}

.frm_style_formidable-style .frm_dropzone.dz-clickable .dz-message {
	padding: 5px 10px;
}

.frm_style_formidable-style .frm_dropzone.frm_single_upload, .frm_dropzone.dz-clickable {
	min-height: auto;
}

#main .block__contact form {
	width: 55vw;
}

#main .block__contact .row__textarea {
	grid-column: span 8/span 8;
}

#main .block__contact .row__upload {
	grid-column: span 4/span 4;
}

#main .block__contact .row__privacy {
	grid-row: 15;
	margin-top: 1em;
}

#main .block__contact .block__form .elementor-widget-wrap {
	height: 455px;
	position: relative;
}

#main .block__contact .block__form .row__button {
	position: absolute;
	bottom: -17%;
	left: -65%;
}

.frm_dropzone.dz-clickable * {
	color: #000;
}

#main .block__sollicitatie .frm_style_formidable-style .frm_dropzone.dz-clickable .dz-message {
	max-width: 100%;
    	margin-left: auto;
}

.frm_dropzone .dz-preview .dz-column {
	color: #fff;
}

#main .block__contact.block__sollicitatie .block__form .elementor-widget-wrap {
	height: 950px;
}

#main .block__contact.block__offerte .row__textarea,
#main .block__contact.block__sollicitatie .row__textarea {
	grid-column: span 12/span 12;
}

#main .block__contact.block__sollicitatie .row__upload {
	grid-column: span 6/span 6;
	display: flex;
	align-items: center;
	justify-content: space-between;
	background-color: #fff;
	padding: 1em 1.5em;
	box-shadow: 0 0 15px rgba(0,0,0,.16);
}

#main .block__sollicitatie .frm_style_formidable-style.with_frm_style .frm_upload_text button {
	color: #000 !important;
}

#main .block__sollicitatie .frm_style_formidable-style .frm_dropzone.dz-clickable .dz-message {
	border: 1px solid #000;
}

#main .block__sollicitatie .with_frm_style select {
	min-height: 60px;
	box-shadow: 0 0 15px rgba(0,0,0,.16);
	padding: 1.8em;
}

.frm_style_formidable-style.with_frm_style .form-field {
	position: relative;
}

.frm_style_formidable-style.with_frm_style .frm_error_style {
	position: absolute;
	top: -20%;
	width: 50vw;
}

.frm_style_formidable-style.with_frm_style .frm_error, 
.frm_style_formidable-style.with_frm_style .frm_limit_error {
	position: absolute;
	bottom: 5%;
	left: 5%;
}

.frm_style_formidable-style.with_frm_style .row__privacy .frm_error {
	position: relative;
}

/*COOKIES*/
.cli-tab-footer .wt-cli-privacy-accept-btn {
	background-color: #CA001B;
}

.cli-bar-container .cli-bar-btn_container .cli-plugin-button {
	font-size: 16px;
}

.cli-bar-container .cli-bar-btn_container .cli_settings_button {
	font-size: 13px;
}

.cli-modal .cli-modal-dialog .cli-modal-content button:hover {
	border: none;
}

.cli-modal .cli-modal-dialog .cli-modal-content button:hover svg {
	fill: #ca001b;
}

/*POPUP*/
.wppopups-whole .spu-container a {
	padding: 5px 15px 5px 15px;
	font-size: 14px;
}

#spu-3543 {
	right: 5%;
    	bottom: 5%;
}

/*RESPONSIVE*/
@media screen and (min-width: 1600px) {
	#main .block__contact .block__form .row__button {
		left: -40%;
	}

	.elementor-section.elementor-section-boxed > .elementor-container {
		max-width: 100%;
	}
}

@media screen and (max-width: 1366px) {
	#main .block__realisaties--overview .eael-post-grid .eael-entry-wrapper {
		padding: 1.5em;
	} 
}

@media screen and (max-width: 1024px) {
	#footer .block__nieuwsbrief .frm_fields_container {
		grid-template-columns: repeat(1, 1fr);
	}

	#footer .block__nieuwsbrief .frm_fields_container .frm_form_field,
	#footer .block__nieuwsbrief .frm_fields_container .frm_submit {
		grid-column: span 12/span 12;
	}

	#footer .block__nieuwsbrief .frm_fields_container .frm_form_field {
		margin-bottom: 0;
	}

	#footer .block__nieuwsbrief .frm_fields_container .frm_submit {
		margin-bottom: 1em;
	}

	#footer .block__nieuwsbrief .frm_fields_container .frm_submit button {
		width: 100%;
	}

	#main .block__realisaties--overview .eael-post-grid article:nth-of-type(3) .eael-grid-post-holder {
		height: 100%;
	}

	#scroll-top {
		width: 50px;
    		height: 50px;
    		line-height: 50px;
	}
}

@media screen and (max-width: 768px) {
	.home #main #primary {
		margin-bottom: 0;
	}
	
	#main .block__hero .elementor-container {
		width: 100%;
	}

	#main .block__realisaties-highlighted {
		max-width: 70vw;
	}

	#main .block__form .frm_submit {
		grid-column: span 12/span 12 !important;
	}

	#main .block__form .frm_submit button {
		width: 100%;
	}

	#main .block__realisaties--overview .eael-post-grid .eael-entry-wrapper {
		padding: 1em;
	} 

	#footer .block__nieuwsbrief .frm_fields_container .frm_form_field {
		margin-bottom: 20px;
	}
}

@media screen and (max-width: 496px) {
	#main .block__realisaties-highlighted {
		max-width: 100vw;
	}

	#main .block__contact form {
		width: 90vw;
	}

	#main .block__contact.block__sollicitatie .block__form .elementor-widget-wrap,
	#main .block__contact .block__form .elementor-widget-wrap {
		height: auto;
	}

	#main .block__contact .row__privacy {
		grid-row: 20;
	}

	#main .block__contact .row__privacy label {
		color: #fff;
	}

	#main .block__contact.block__sollicitatie .row__upload,
	#main .block__form input, 
	#main .block__form textarea,
	#main .block__sollicitatie .with_frm_style select {
		padding: .8em;
	}

	#spu-3543 {
		height: 200px !important;
	}

	.content-area, .content-left-sidebar .content-area {
		margin-bottom: 0;
	}

	#scroll-top {
		width: 40px;
    		height: 40px;
    		line-height: 40px;
    		border-radius: 0;
	}
}